LINUX.ORG.RU

Geany 0.19 «Vellam»

 , ,


0

0

Вышла новая версия быстрой и легковесной среды разработки - Geany

Список нововведений в Geany 0.19 можно посмотреть в ReleaseNotes.

Одни из них:

  • Система сборки стала более настраиваемой.
  • Поддержка различных типов файлов, например: Txt2Tags, Abc, Verilog, Genie.
  • Реализовано 'Перейти на введенный номер строки' для перехода на конкретную строку.
  • Улучшения по ряду поддерживаемых языков, в особенности таких как D, Java, PHP, Perl, Python, R, VHDL.
  • Обновлены переводы: de, en_GB, es, fr, gl, ja, nl, pt, ru, sl, sv, tr, vi, zh_CN.

Более подробный и полный список изменений: ChangeLog.

Помимо основной программы, так же состоялся релиз дополнений Geany Plugins. Geany Plugins (Combined Release), включает в себя следующие дополнения:

  • Addons
  • Geanygdb
  • Geanylatex
  • Geanylipsum
  • Geanylua
  • Geanysendmail
  • Geanyvc
  • Shiftcolumn
  • Spellcheck

Geany-Plugins 0.19, так же доступен для загрузки с соответствующего сайта проекта Geany-Plugins (Combined Release).

Ссылки с информацией о релизах (на англ. яз):

>>> Homepage

★★★★★

Проверено: JB ()

Ответ на: комментарий от Nixopatolog

> Просто оставлю это здесь.

ну зачем, зачем ты это здесь оставил?? :( я щас убил почти полтора часа, рассматривая случайные картинки :((

isden ★★★★★ ()

Нагуглил ppa:geany-dev/ppa ждем, пока обновят.

Archer_84 ()
Ответ на: комментарий от kda

УЖАСНЫЙ autocomplete:

(PHP)

пишем class, жмем tab - дополняется до class_exists, а хочется просто отступ. то же и со словом function.

при этом если создать некий объект (пусть будет $o) $o-> + нажатие Tab не показывает ничего (от IDE ожидается список свойств и методов объекта).

anonymous ()
Ответ на: комментарий от anonymous


хе хе ))

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=570731
Date: Sun, 21 Feb 2010 15:01:52 +0100 (CET)

Andrew J. Barr wrote:

Bluefish has released a new upstream version 2.0.0. If you could

package this as soon as you can, I'd greatly appreciate it.



It has already been packaged and is available for i386 and amd64:
http://debian.wgdd.de/debian/#sid (JFTR: I'm part of the bluefish team,
so you don't need to tell me about releases)

It won't get uploaded to Sid. This is a release with 2 zeros. So
it will get uloaded to experimental (soon).

Regards, Daniel




elipse ★★★ ()

Ничего так, не emacs конечно..

oh ()
Ответ на: комментарий от pevzi

>> gedit? вроде подсветку умеет. а то что вручную компилировать... так это же не остановит настоящих красноглазиков

Они сразу емакс заюзают, делать им нефиг возиться с джедитами.


Ты гедит http://projects.gnome.org/gedit/ с джедитом не путай http://www.jedit.org/ )))

iMp ★★★ ()
Ответ на: комментарий от avol

>> gedit вам чем не угодил

Специфического функционала не хватает.


А можно узнать какого функционала? Мне вот для небольших правок хватает в основном набора плагинов к gedit - http://github.com/gmate/gmate

iMp ★★★ ()

На что только люди не идут, лишь бы не учить emacs.

anonymous ()
Ответ на: комментарий от iMp

>>> gedit вам чем не угодил

Специфического функционала не хватает.

А можно узнать какого функционала? Мне вот для небольших правок хватает в основном набора плагинов к gedit - http://github.com/gmate/gmate


А я разве не написал выше? Про плагины не знал, но я не думаю, что его можно прокачать этими плагинами до соответствующего уровня удобства.

avol ()

А как у него с подсветкой haml и sass? (хотя бы haml)

teddybear ()
Ответ на: комментарий от teddybear

> А как у него с подсветкой haml и sass? (хотя бы haml)

Всё отлично — её нет :)
Но зато он умеет сам добавлять закрывающий тег!

А вообще не очень понимаю нужность этого слоя абстракции…

avol ()

Интеграции с mercurial так до сих пор и нету?

anonymous ()

Завтра же обновлюсь на работе под вендой - для пыхпыха по работе только им и пользуюсь. Хотя изначально подсел на него для питона дома. В общем - мой самый любимый IDE/редактор, реально кроме него практически ничего и не использую.

Вообще из претензий к нему у меня ровно две - это таки невменяемый автокомплит и таки невменяемый хоткей для комментирования/разкомментирования кода (Ctrl+E). Ибо если выделить достаточно крупный блок текста, в котором непременно окажутся пустые строки, предугадать результат просто нереально. В патче 0.18.1 стало с этим ощутимо получше, надеюсь, что в 0.19 окончательно исправят.

Ну а автокомплит... Неприятно, конечно, ну и хрен с ним.

Касаемо области применимости, скажу так, что это реально самая адекватная замена Кате на GTK+ окружении. Именно с этой целью я на него переходил, ибо с выбросом третьекед из моей на тот момент Мандривы перешел на Xfce, четвертокедная Катя на нем смотрелась довольно неприятно, а очевидный казалось бы Gedit разочаровал по полной. Главным образом - полным отсутствием хоть какого-то управления проектами. У Кати была киллер-фича - управление сессиями. Реально у меня было создано несколько сессий под несколько проектов, с которыми работал. А при открытии сессии проект открывался ровно в таком виде, в каком я его закрыл в прошлый раз. Удобно до одури! В Гедите такого просто нет, а устанавливаемый отдельно плугин по работе с сессиями, в котором состояние открытых документов нужно вручную сохранять в файл КАЖДЫЙ раз при завершении работы а потом точно также из файла вручную восстанавливать, ничего кроме недоумения не вызвал. Ну и плюс невнятный файл-менеджер, мне он не понравился.

В общем когда я поставил Джиню на попользовать и смог без проблем создать проекты для всех своих поделок и насладиться адекватным сохранением открытых окон при закрытии проекта и их восстановлением при открытии, радости моей не было предела. Не настолько очевидно и удобно, как в Кате, но уже достаточно вменяемо чтобы этим можно было без проблем полноценно пользоваться.

YogSagot ★★ ()
Ответ на: комментарий от avol

Стандартные шаблоны — очень неудобно. Даже неудобнее, чем в php, там хоть <? ?>, а тут блин, пока до процентов этих дотянешься... Не представляю, как было бы тяжко без haml

teddybear ()
Ответ на: комментарий от avol

>А я разве не написал выше? Про плагины не знал, но я не думаю, что его можно прокачать этими плагинами до соответствующего уровня удобства.

а зря. автокомплит, дерево объектов, поддержка сборки и отладка плагинами добивается только в путь.

AVL2 ★★★★★ ()
Ответ на: комментарий от anonymous

> Кефир-Клистир!

«Мне ваши стихи про кефир очень понравились!»//

anonymous ()
Ответ на: комментарий от AVL2

пистонизация в gedit таки сказывается ))
geany быстр и монолитен, и заточен именно для программирования.
gedit слишком уж «общего назначения» и не для кого конкретно,
хотя и не плох он тоже.

elipse ★★★ ()

GTK? Да фтопку. Судя по скриншотам, юзабилити там и не пахло. Гномеры они такие, нафигачат кнопок, потом утверждают, что это - интерфейс.

xintrea ()
Ответ на: комментарий от xintrea

У меня желетка в стирке.
Приходи завтра, дам поплакатся. (не дорого)

elipse ★★★ ()
Ответ на: комментарий от xintrea

> GTK? Да фтопку. Судя по скриншотам, юзабилити там и не пахло. Гномеры они такие, нафигачат кнопок, потом утверждают, что это - интерфейс.

Правильно, брат! Голосуем за консольный vim + http://jenyay.net/Programming/Vim !

anonymous ()
Ответ на: комментарий от YogSagot

> четвертокедная Катя на нем смотрелась довольно неприятно
Вот я чего-то не понимаю, наверное. Кеды умеют подчиняться темам gtk, разве нет?

metar ★★★ ()
Ответ на: комментарий от Davinel

>> Хочется чего-то более легковесного, чем java-монстны типа eclipse/netbeans.

vim же!

Это да. Выкачал vimbook-OPL. 572 страницы. Осилил меньше трети и то половина забылась. Для мелкого редактирования хватает, но для «в качестве IDE» пока никак :-( Rope толком не прикрутил, хотя скорее всего нужна выпрямлялка для рук.

AlexKiriukha ★★★★ ()
Ответ на: комментарий от prorok2k

>> Недавно поставил, но что-то ничего связанного с python не нашёл

Питоновский файл хоть пробовал открыть?

Честно говоря нет. Посмотрел в проектах, python не видел. Хотя ставил и какие-то plugins. Ну что в федоре есть.

Хочется чего-то более легковесного, чем java-монстны типа eclipse/netbeans

Плюсую

Так а фигли тут плюсовать. Поставил новый kdevelop. Пока не то (да и IMHO перегружен, хотя пару лет назад устраивал). Слышал про jetbrains (вроде так) для python и про wingide, но отзывы уж очень разные. В принцепе и kate может устроить, но хочется большего же.

AlexKiriukha ★★★★ ()
Ответ на: комментарий от anonymous

Лорчую вопрос. Действительно пользоваться им невозможно.

matimatik ()
Ответ на: комментарий от kda

>> А где критика режима автодополнения, из-за которого им пользоваться невозможно? Цензура?

Чем же невозможно?

Тем что всплывающее меню выбора вариантов всплывает без твоего желания и перехватывает фокус ввода.

matimatik ()
Ответ на: комментарий от anonymous

> На что только люди не идут, лишь бы не учить emacs.

Ага, некоторые даже vim написали лишь бы имакс не учить :)

matimatik ()
Ответ на: комментарий от anonymous

> Интеграции с mercurial так до сих пор и нету?

Хг не нужен же. Есть гит.

matimatik ()
Ответ на: комментарий от avol

>> А как у него с подсветкой haml и sass? (хотя бы haml)

Всё отлично — её нет :)


А в gedit+gmate - есть ))

iMp ★★★ ()
Ответ на: комментарий от YogSagot

> Завтра же обновлюсь на работе под вендой - для пыхпыха по работе только им и пользуюсь.

Я не понял, ты работаешь или дрочишь? Для работы есть Eclipse + PDT. Дрочить можно и в блокноте/kwrite/kate/gedit/leafpad/notepad++

anonymous ()
Ответ на: комментарий от devnullopers

> если провести аналогию нетбинс-опера, то далее будет geany-lynx и emaks-wget

Geany это, скорее, Midori. А lynx — это vim. Про emacs что-то и не могу ничо придумать.

pevzi ★★★★★ ()
Ответ на: комментарий от anonymous

> УЖАСНЫЙ autocomplete:

Читаем справку как работает autocomplete в Geany.

hint: интеллектуального комплита в нем нет, есть «а-ля» ctags.

kda ★★★★★ ()
Ответ на: комментарий от matimatik

> Тем что всплывающее меню выбора вариантов всплывает без твоего желания и перехватывает фокус ввода.


Во первых, не перехватывает. Во вторых, отключить автозавершение не пробовали?

kda ★★★★★ ()

это скорее не легковесная ide а специализированный редактор по типу kate

DNA_Seq ★★☆☆☆ ()
Ответ на: комментарий от kda

> Так же для языков с динамической типизацией типа Python, JavaScript и.т.д. Впрочем, я на нем и на Java неплохо разрабатывал.

Поясни. Как «легковесность» связана с динамической типизацией? Для Perl я знаю всего две IDE: Eclipse/EPIC и Padre. Первая очень тяжела, но на Core2 E8500/8gb RAM вполне терпимо. Вторую попробовал мельком, очень лёгкая, но переползать пока не думаю.

Casus ★★★★★ ()

Ждём ебилдов podeb-пакетов для BolgenOS.

soko1 ★★★★★ ()
Ответ на: комментарий от matimatik

Лорчую вопрос. Действительно пользоваться им невозможно.

Ну, многие пользуются, я, например. Писать программы на Питоне довольно удобно и приятно, хотя не идеально, конечно. На Паскале тоже можно программировать.

Vudod ★★★★★ ()
Ответ на: комментарий от Casus

> Как «легковесность» связана с динамической типизацией?

В динамически типизируемых языках, как правило, не сильно ощущается потребность в «продвинутых» инструментах IDE, таких как отладчик, инкрементальный компилятор, и.т.д (чего нет в Geany и что является недостатком для статически типизируемых языков).

kda ★★★★★ ()
Ответ на: комментарий от kda

Как «легковесность» связана с динамической типизацией?

В динамически типизируемых языках, как правило, не сильно ощущается потребность в «продвинутых» инструментах IDE, таких как отладчик, инкрементальный компилятор, и.т.д (чего нет в Geany и что является недостатком для статически типизируемых языков).

В динамически типизируемых языках такие штуки сложнее реализовать кроме всего прочего. И оптимизация пойдёт боком.

Vudod ★★★★★ ()

да ведь не нужен этот редактор...

AVL2 ★★★★★ ()
Ответ на: комментарий от devnullopers

> gedit? вроде подсветку умеет. а то что вручную компилировать... так это же не остановит настоящих красноглазиков, которые вместо дримвивера нотепад используют, правда?

В gedit нет автодополнения и ещё некоторых мелочей, полезных для разработки

prorok2k ()
Ответ на: комментарий от kda

У меня вообще вся эта хрень с автодополнениями выключена нафиг. Но это не отменяет того факта, что пользоваться ей невозможно. Впрочем в последней версии могли уже и исправить что-нибудь, проверять влом.

matimatik ()
Ответ на: комментарий от matimatik

> что пользоваться ей невозможно

Впрочем в последней версии могли уже и исправить что-нибудь, проверять влом.


Тогда, либо не утверждайте, либо проверяйте.

kda ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.